Summary:	Tools to create graphical boot logos
Name:		gfxboot
Version:	4.5.14
Release:	%mkrel 1
# Suse released SRPM can be found on eg:
# http://download.opensuse.org/source/distribution/leap/42.1/repo/oss/suse/src/
# Latest tumbleweed (~~cauldron) SRPM can be found on:
# http://download.opensuse.org/source/tumbleweed/repo/oss/suse/src/
Source0:	%{name}-%{version}.tar.xz
Patch0:		gfxboot-3.3.18-mga.patch
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://en.opensuse.org/SDB:Gfxboot
BuildRequires:	nasm
BuildRequires:	xmlto
BuildRequires:  docbook-dtd412-xml
BuildRequires:	libx11-devel
BuildRequires:	freetype2-devel
ExclusiveArch:	%{ix86} x86_64

%description
gfxboot provides tools to create graphical boot logos, for grub, lilo
and syslinux. It supports arch-specific boot menus, advanced help
menus, multiple keymaps, animated images, and more graphical pretty
things.

%package        devel
License:        GPLv2+
Summary:        Tools for creating a graphical boot logo
Group:          System/Kernel and hardware
Requires:	gfxboot = %version-%release

%description devel
Here you find the necessary programs to create your own graphical boot
logo. The logo can be used with grub, lilo or syslinux.

%prep
%setup -q
%autopatch -p1

%build
%make
%make doc

%install
%makeinstall_std THEMES=""
install -d -m 755 %{buildroot}%{_mandir}/man8
install -m 644 doc/gfxboot.8 %{buildroot}%{_mandir}/man8

# gfxboot-compile is used to build as non-root, move it out of /usr/sbin
install -d %{buildroot}%{_bindir}
# add adddir and keymapchars since they are used in mandriva-gfxboot-theme
# build system
cp %{_builddir}/%{name}-%{version}/bin/adddir %{buildroot}%{_bindir}/gfxboot-adddir
cp %{_builddir}/%{name}-%{version}/bin/keymapchars %{buildroot}%{_bindir}/gfxboot-keymapchars
mv %{buildroot}%{_sbindir}/gfxboot-compile %{buildroot}%{_bindir}/gfxboot-compile
mv %{buildroot}%{_sbindir}/gfxboot-font %{buildroot}%{_bindir}/gfxboot-font

%files
%{_sbindir}/gfxboot
%{_sbindir}/gfxtest
%{_mandir}/man8/*

%files devel
%{_bindir}/gfxboot-compile
%{_bindir}/gfxboot-font
%{_bindir}/gfxboot-adddir
%{_bindir}/gfxboot-keymapchars
%doc doc/gfxboot.html
%doc doc/gfxboot.txt




%changelog
* Fri Aug 19 2016 luigiwalser <luigiwalser> 4.5.14-1.mga6
+ Revision: 1047105
- 4.5.14

* Tue Aug 09 2016 luigiwalser <luigiwalser> 4.5.13-1.mga6
+ Revision: 1045205
- 4.5.13

  + tv <tv>
    - explain where to get latest version

* Thu Feb 18 2016 umeabot <umeabot> 4.5.7-2.mga6
+ Revision: 965799
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 luigiwalser <luigiwalser> 4.5.7-1.mga6
+ Revision: 837290
- 4.5.7

* Wed Oct 15 2014 umeabot <umeabot> 4.5.6-2.mga5
+ Revision: 745463
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 luigiwalser <luigiwalser> 4.5.6-1.mga5
+ Revision: 738719
- 4.5.6

* Tue Sep 16 2014 umeabot <umeabot> 4.5.4-2.mga5
+ Revision: 679555
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 4.5.4-1.mga5
+ Revision: 670673
- 4.5.4

* Mon Aug 04 2014 luigiwalser <luigiwalser> 4.5.2-1.mga5
+ Revision: 659569
- 4.5.2
- update URL

* Fri Oct 18 2013 umeabot <umeabot> 4.4.5-3.mga4
+ Revision: 504821
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.4.5-2.mga3
+ Revision: 351516
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 27 2011 erwan <erwan> 4.4.5-1.mga2
+ Revision: 149644
- This patch is no more needed
- 4.4.5
- 4.4.5 release

* Mon Feb 07 2011 dmorgan <dmorgan> 4.1.19-6.mga1
+ Revision: 48474
- imported package gfxboot

